<!--
******************************************************************************
* Copyright © 2017-2018 PTA GmbH.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* 
*     http://www.eclipse.org/legal/epl-v10.html
* 
******************************************************************************
-->
<div style="padding: 15px">
  <header>
    <h2>Schichtübergabe Protokoll</h2>
  </header>

  <div id="print-section" class="dialog">
    <div class="panel panel-default margin-zero">
      <app-message-banner [zOrder]="1"></app-message-banner>
      <div class="panel-body shift-change-protocol-panel-body">
        <app-responsibility
          #respCompVar
          [responsiblitySelection]="responsibilitiesContainer"
        ></app-responsibility>
        <app-future-notifications
          [withCheckboxes]="false"
          [withEditButtons]="true"
          [isCollapsible]="false"
          [stayHidden]="true"
          [gridId]="'ShiftChangeFutureNot'"
          [enforceShowReadOnly]="true"
          (lookUpNotificationEmitter)="openDialogLookUpEntry($event)"
        ></app-future-notifications>
        <app-open-notifications
          [withCheckboxes]="false"
          [withEditButtons]="true"
          [isCollapsible]="false"
          [stayHidden]="true"
          [gridId]="'ShiftChangeOpenNot'"
          [enforceShowReadOnly]="true"
          (lookUpNotificationEmitter)="openDialogLookUpEntry($event)"
        ></app-open-notifications>
        <app-finished-notifications
          [withCheckboxes]="false"
          [withEditButtons]="true"
          [isCollapsible]="false"
          [stayHidden]="true"
          [gridId]="'ShiftChangeFinishedNot'"
          [enforceShowReadOnly]="true"
          (lookUpNotificationEmitter)="openDialogLookUpEntry($event)"
        ></app-finished-notifications>
      </div>
    </div>
  </div>

  <div class="margin-top">
    <button
      class="btn btn-primary btn-sm"
      (click)="respCompVar.confirm()"
      autofocus
    >
      Übernehmen
    </button>
    <button class="btn btn-primary btn-sm" (click)="close()">Abbrechen</button>
  </div>
</div>
